prepend_to_slang_load_path (".");
set_import_module_path (".");

require ("voronoi");
require ("readascii");

define slsh_main ()
{
   variable x, y;
   variable v1, v2, v3, u1, u2, u3;
   () = readascii ("tests/testin.dat", &x, &y);
   () = readascii ("tests/testout0.dat", &u1, &u2, &u3; type="%d");

   variable lines0 = array_map (String_Type, &sprintf, "%d %d %d", u1, u2, u3);
   (v1, v2, v3) = _voronoi_triangulate (x, y);
   variable lines1 = array_map (String_Type, &sprintf, "%d %d %d", v1, v2, v3);

   lines0 = lines0[array_sort (lines0)];
   lines1 = lines1[array_sort (lines1)];

   if (length (lines0) != length (lines1))
     {
	() = fprintf (stderr, "Expected %d triangles, got %d\n",
		      length(lines0), length (lines1));
	exit (1);
     }
   if (any (lines0 != lines1))
     {
	() = fprintf (stderr, "Triangle Vertices do not match\n");
	exit (1);
     }
}
